<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Zymnaz
 */
get_header(); 
$error_style = gymnaz_get_opt( '404-style', '1' );
if($error_style == "1"){

?>
<!-- error start -->
<section class="error-one bg-dull">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="not-found">
                    <h2><?php echo esc_html('404', 'gymnaz-pro'  ); ?></h2>
                </div>
            </div>
            <div class="col-lg-12">
                <h4><?php echo esc_html('we Couldn’t find the page you are looking for', 'gymnaz-pro'  ); ?></h4>
            </div>
            <div class="col-12 mt-4">
                <div class="error-bottom">
                    <div class="go-to">
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn btn-one">
                            <i class="fa fa-home"></i> <?php echo esc_html('back to home', 'gymnaz-pro'  ); ?> </a>
                    </div>
                    <span class="or py-4"><?php echo esc_html('or', 'gymnaz-pro'  ); ?></span>
                    <?php get_search_form() ;?>

                </div>
            </div>
        </div>
    </div>
</section>
<!-- error end-->
<?php }else{ ?>
<!-- error start -->
<section class="error-two bg-dull sp-100">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="error-text">
                    <h2><?php echo esc_html('404', 'gymnaz-pro'  ); ?></h2>
                    <p><?php echo esc_html('Sorry we Couldn’t find the page you are looking for', 'gymnaz-pro'  ); ?></p>
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="go-home">
                        <i class="fa fa-home"></i><?php echo esc_html('back to home', 'gymnaz-pro'  ); ?></a>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- error end-->
<?php } ?>
<?php get_footer(); ?>