<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Gymnaz
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required()  ) { return; }

$post_comments_form_on = gymnaz_get_opt( 'post_comments_form_on', true );
if ( $post_comments_form_on ) : ?>

	<div class="comments-area">

		<?php
		// You can start editing here -- including this comment!
		if ( have_comments() ) :
			?><!-- .comments-title -->
			<h4 class="title-sep2 mb-30">
				<?php
				$gymnaz_comment_count = get_comments_number();
				if ( '1' === $gymnaz_comment_count ) {
					printf(
						/* translators: 1: title. */
						esc_html__( 'Comments', 'gymnaz-pro' )
						
					);
				} else {
					printf( // WPCS: XSS OK.
						/* translators: 1: comment count number, 2: title. */
						esc_html( _nx( '%1$s Comment on  %2$s ', 'Comments', $gymnaz_comment_count, 'comments title', 'gymnaz-pro' ) ),
						number_format_i18n( $gymnaz_comment_count ),
						'<span>' . get_the_title() . '</span>'
					);
				}
				?>
				
			</h4><!-- .comments-title -->
			<div class="clearfix">
				<?php the_comments_navigation(); ?>

				<ol class="comment-list mb-60">
					<?php
						wp_list_comments( array(
							'style'      => 'ol',
							'short_ping' => true,
							'callback'   => 'gymnaz_comment_list',
							'avatar_size'   => 100,
						) );
					?>
				</ol><!-- .comment-list -->

				<?php the_comments_navigation();

				// If comments are closed and there are comments, let's leave a little note, shall we?
				if ( ! comments_open() ) : ?>
					<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'gymnaz-pro' ); ?></p> <?php
				endif; ?>
			</div>

		<?php endif; // Check for have_comments().
		?>
			
	</div><!-- #comments -->

	<div class="reply_form">
	<?php 
	$args = array(
		'id_form'           => 'commentform',
		'id_submit'         => 'submit',
		'title_reply'       => esc_attr__( 'leave comment', 'gymnaz-pro'),
		'title_reply_to'    => esc_attr__( 'Leave A Reply To ', 'gymnaz-pro') . '%s',
		'cancel_reply_link' => esc_attr__( 'Cancel Reply', 'gymnaz-pro'),
		'label_submit'      => esc_attr__( 'Submit', 'gymnaz-pro'),
		'title_reply_before' => '<h4 class="title-sep2 mb-30">',
		'title_reply_after' 	 => '</h4>',
		'comment_notes_before' => '',
		'fields' => apply_filters( 'comment_form_default_fields', array(

			'author' =>
			'<div class="row"><div class="col-12">'.
			'<input id="author" class="form-control" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
			'" size="30" placeholder="'.esc_attr__('Enter Name', 'gymnaz-pro').'"/></div>',

			'email' =>
			'<div class="col-12">'.
			'<input id="email" class="form-control" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
			'" size="30" placeholder="'.esc_attr__('Enter Email', 'gymnaz-pro').'"/></div></div>',

		)
		),
		'comment_field' =>  '<div class="row"><div class="col-12">
		<textarea id="comment" class="form-control" name="comment" cols="45" rows="8" placeholder="'.esc_attr__('Message', 'gymnaz-pro').'" aria-required="true">' .
		'</textarea></div>',
		'submit_button' => '<div class="col-12"><button type="submit" class="btn btn-one" id="%2$s submit" name="submit">post comment</button></div></div>',
	);
	comment_form( $args ); ?>
	</div>

<?php endif; ?>