<?php
/**
 * The template for displaying the footer
 * @package Gymnaz
 */
$error_style = gymnaz_get_opt( '404-style', '1' );

$footer_style = gymnaz_get_opt( 'footer-preset');
$custom_footer = gymnaz_get_page_opt( 'custom_footer', '0');
if ( is_page() && $custom_footer == '1' ) {
    $page_footer = gymnaz_get_page_opt('page-footer-style');
    $footer_style = $page_footer;
    if($footer_style == '0') {
        return;
    }
}
if($error_style == "1"){
?>
        <!-- footer start-->
        <footer class="footer footer-<?php echo $footer_style  ;  ?>">
            <div class="foot-top">
                <div class="container">
                    <div class="row">
                        <div class="col-xl-3 col-lg-6 col-12 mb-60">
                            <?php dynamic_sidebar('gymnaz-footer1'); ?>
                        </div>
                        <div class="col-xl-3 col-lg-6 col-12 mb-60">
                            <?php dynamic_sidebar('gymnaz-footer2'); ?>
                        </div>
                        <div class="col-xl-3 col-lg-6 col-12 mb-60">
                            <?php dynamic_sidebar('gymnaz-footer3'); ?>
                        </div>
                        <div class="col-xl-3 col-lg-6 col-12 mb-60">
                            <?php dynamic_sidebar('gymnaz-footer4'); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="foot-bottom">
                <div class="container">
                    <div class="row">
                        <div class="col-sm-12">
                            <?php if( gymnaz_get_opt( 'footer_copyright') ) : ?>
                                <?php echo wp_kses_post(  gymnaz_get_opt('footer_copyright') ); ?></a>
                                
                            <?php else : ?> 
                                <p class="text-capitalize">
                                    <?php
                                        /* translators: 1: Theme name, 2: Theme author. */
                                        printf( esc_html__( '© 2019 Gymnaz. All Rights Reserved', 'gymnaz-pro' ));
                                    ?>
                                </p>
                            <?php endif ; ?> 
                        </div>
                    </div>
                </div>
            </div>
        </footer>
    <?php } ?>
	<?php wp_footer(); ?>
	</body>
</html>