<?php
/**
 * Gymnaz functions and definitions
 * @package Gymnaz
 */
error_reporting(0);

define( 'THEME_VERSION', wp_get_theme()->get('Version') );
define( 'THEME_DIR', 	get_template_directory(), true );
define( 'THEME_URI', 	get_template_directory_uri(), true );
define( 'THEME_NAME', 	wp_get_theme()->get('Name') , true );
define( 'THEME_SLUG', 	wp_get_theme()->get('TextDomain'), true );
define( 'gymnaz-pro', 		wp_get_theme()->get('TextDomain'), true );
define( 'ASSETS', 	    THEME_URI . '/assets' );
define( 'ASSETS_BE', 	THEME_URI . '/assets/backend' );


// Initialize Theme
require get_template_directory() . '/inc/theme-setup.php';

// Custom template tags for this theme.
require get_template_directory() . '/inc/template-tags.php';

// Functions which enhance the theme by hooking into WordPress.
require get_template_directory() . '/inc/template-functions.php';


/*********************************************************************************
*                                CPT INIT                                        *
*********************************************************************************/	
require get_template_directory() . "/inc/custom-post.php";


/*********************************************************************************
*                                CPT META INFO                                   *
*********************************************************************************/
require get_template_directory() . "/inc/custom-meta.php";

#-----------------------------------------------------------------#
# widgets
#-----------------------------------------------------------------#
require get_template_directory() . "/inc/gymnaz-widgets/gymnaz-widgets.php";

// Theme Options.
require get_template_directory() . '/inc/theme-options.php';

//Navwalker.
require get_template_directory() . '/inc/gymnaz_custom_nav_walker.php';

// Page Options.
require get_template_directory() . '/inc/page-options.php';

/* Load lib Font */
require_once get_template_directory() . '/inc/libs/fontawesome.php';
require_once get_template_directory() . '/inc/libs/flaticon.php';

function gymnaz_vc_after_init() {
    require_once ( get_template_directory() . '/vc_elements/gymnaz_custom_vc_param.php' );

}
add_action('vc_after_init', 'gymnaz_vc_after_init');


// if ( ! file_exists( get_template_directory() . '/inc/classes/class-wp-bootstrap-navwalker.php' ) ) {
// 	// file does not exist... return an error.
// 	return new WP_Error( 'class-wp-bootstrap-navwalker-missing', __( 'It appears the class-wp-bootstrap-navwalker.php file may be missing.', 'wp-bootstrap-navwalker' ) );
// } else {
// 	// file exists... require it.
// 	require_once get_template_directory() . '/inc/classes/class-wp-bootstrap-navwalker.php';
// }

// CSS Generator.
if (!class_exists('CSS_Generator')) {
    require_once get_template_directory() . '/inc/classes/class-css-generator.php';
}

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require_once get_template_directory() . '/inc/extends.php';