<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 * @package Gymnaz
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class('home blog hfeed'); ?>>

	<?php if( gymnaz_get_opt( 'gototop', false ) ) : ?>
		<!-- ====== Go to top ====== -->
	    <a id="c-scroll" title="Go to top" href="javascript:void(0)">
	        TOP
	    </a>
    <?php endif ; ?>

    <?php if( gymnaz_get_opt( 'show_page_loading', false ) ) : ?>
	    <!-- Preloader start-->
	    <div class="preloader">
	        <div class="loader-inner">
	            <img src="<?php echo ASSETS ; ?>/img/loader.png" alt="integer">
	            <h3 class="text"><?php echo esc_html('gymnaz', 'gymnaz-pro'  ); ?></h3>
	        </div>
	    </div>
	    <!-- Preloader end -->
	<?php endif ; 
	$error_style = gymnaz_get_opt( '404-style', '1' );
    if($error_style == "1"){
	?>

		<?php gymnaz_header_layout(); ?>  

		<?php gymnaz_page_title_layout(); ?>
	<?php } ?>