<?php 
add_action('admin_init','gymnaz_theme_meta_init');
function gymnaz_theme_meta_init()
{	
		
	add_meta_box('gymnaz_theme_portfolio', 'Portfolio Details', 'gymnaz_theme_portfolio_meta_fn', 'portfolio', 'normal', 'high');
	add_action('save_post','gymnaz_theme_meta_save');
}

#-----------------------------------------------------------------#
#  Portfolio Meta 
#-----------------------------------------------------------------#

function gymnaz_theme_portfolio_meta_fn(){
	$port_icons = sanitize_text_field( get_post_meta( get_the_ID(), 'port_icons', true ));
	$project_createdby = sanitize_text_field( get_post_meta( get_the_ID(), 'project_createdby', true ));
	$portfolio_custom_link = sanitize_text_field( get_post_meta( get_the_ID(), 'portfolio_custom_link', true ));
	$client_name = sanitize_text_field( get_post_meta( get_the_ID(), 'client_name', true ));
	$project_website_url = sanitize_text_field( get_post_meta( get_the_ID(), 'project_website_url', true ));
	$project_trainer = sanitize_text_field( get_post_meta( get_the_ID(), 'project_trainer', true ));
	$callout_show = sanitize_text_field( get_post_meta( get_the_ID(), 'callout_show', true ));
	$rport_show = sanitize_text_field( get_post_meta( get_the_ID(), 'rport_show', true ));
	?>
	<table class="form-table gymnaz-metabox-table">
		<tbody>
			
			<tr>
				<th>
					<label>
						<strong><?php _e('Link for external page  )','gymnaz-pro');?></strong>
						<span><?php _e('( use if you want to link the project to a external page )  )','gymnaz-pro');?> </span>
					</label>
				</th>
				<td>
					<input  class="file_display_text" name="portfolio_custom_link" id="portfolio_custom_link"  type="text" value="<?php if (!empty($portfolio_custom_link)) echo esc_attr($portfolio_custom_link); ?>"></input>
				</td>
			</tr>
			<tr>
				<th>
					<label>
						<strong><?php _e('Icons','gymnaz-pro');?></strong>
						<span><?php _e('( use for portfolio slider style 2 )  )','gymnaz-pro');?> </span>
					</label>
				</th>
				<td>				
					<div class="form-group input-group">
						<input  class="form-control regular-text" id="port_icons" name="port_icons" value="<?php if (!empty($port_icons)){ echo esc_attr($port_icons); } else{ echo "fa fa-laptop"; } ?> " type="text" readonly="readonly" />
						<span style="display:table-cell;width:1%;" class="input-group-addon icon-picker <?php if (!empty($port_icons)){ echo esc_attr($port_icons); } else{ echo "fa fa-laptop"; } ?>"  data-target="#"></span>
					</div>
				</td>
			</tr>
			<tr>
				<th>
					<label>
						<strong><?php _e('Course','gymnaz-pro');?></strong>
					</label>
				</th>
				<td>
					<input  class="file_display_text" name="project_createdby" id="project_createdby"  type="text" value="<?php if (!empty($project_createdby)) echo esc_attr($project_createdby); ?>"></input>
				</td>
			</tr>
			<tr>
				<th>
					<label>
						<strong><?php _e('Trainer','gymnaz-pro');?></strong>
					</label>
				</th>
				<td>
					<input  class="file_display_text" name="project_trainer" id="project_trainer"  type="text" value="<?php if (!empty($project_trainer)) echo esc_attr($project_trainer); ?>"></input>
				</td>
			</tr>
			
			<tr>
				<th>
					<label>
						<strong><?php _e('Week Schedule','gymnaz-pro');?></strong>
					</label>
				</th>
				<td>
					<input  class="file_display_text" name="client_name" id="client_name"  type="text" value="<?php if (!empty($client_name)) echo esc_attr($client_name); ?>"></input>
				</td>
			</tr>
			
			<tr>
				<th>
					<label>
						<strong><?php _e('Time Schedule','gymnaz-pro');?></strong>
					
					</label>
				</th>
				<td>
					<input  class="file_display_text" name="project_website_url" id="project_website_url"  type="text" value="<?php if (!empty($project_website_url)) echo esc_attr($project_website_url); ?>"></input>
				</td>
			</tr>
			<tr>
				<th>
					<label>
						<strong><?php _e('Show Callout', 'gymnaz-pro');?></strong>
						<span><?php _e('This will show/hide your callout section','gymnaz-pro'); ?></strong></span>
					</label>
				</th>
				<td>
					<select id="callout_show" name="callout_show">
						<option value="yes" <?php if($callout_show == "yes" || empty($callout_show)) { echo "selected"; } ?>>Yes</option>
						<option value="no" <?php if($callout_show == "no" || empty($callout_show)) { echo "selected"; } ?>>No</option>
					</select>						
				</td>
			</tr>
			<tr>
				<th>
					<label>
						<strong><?php _e('Show Related Portfolio', 'gymnaz-pro');?></strong>
						<span><?php _e('This will show/hide your portfolio','gymnaz-pro'); ?></strong></span>
					</label>
				</th>
				<td>
					<select id="rport_show" name="rport_show">
						<option value="yes" <?php if($rport_show == "yes" || empty($rport_show)) { echo "selected"; } ?>>Yes</option>
						<option value="no" <?php if($rport_show == "no" || empty($rport_show)) { echo "selected"; } ?>>No</option>
					</select>						
				</td>
			</tr>
		</tbody>
	</table>
<?php	
}


#-----------------------------------------------------------------#
#  Save Meta Setting
#-----------------------------------------------------------------#	
function gymnaz_theme_meta_save($post_id) 
{	
	if((defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) || (defined('DOING_AJAX') && DOING_AJAX) || isset($_REQUEST['bulk_edit']))
		return;
			
	if ( ! current_user_can( 'edit_page', $post_id ) )
	{  return ;	}
	if(isset($_POST['post_ID']))
	{
		$post_ID = $_POST['post_ID'];
		$post_type=get_post_type($post_ID);
		
		if($post_type=='portfolio') {
			update_post_meta($post_ID, 'port_icons', sanitize_text_field($_POST['port_icons']));	
			update_post_meta($post_ID, 'portfolio_custom_link', sanitize_text_field($_POST['portfolio_custom_link']));
			update_post_meta($post_ID, 'client_name', sanitize_text_field($_POST['client_name']));
			update_post_meta($post_ID, 'project_createdby', sanitize_text_field($_POST['project_createdby']));
			update_post_meta($post_ID, 'project_website_url', sanitize_text_field($_POST['project_website_url']));
			update_post_meta($post_ID, 'project_trainer', sanitize_text_field($_POST['project_trainer']));
			update_post_meta($post_ID, 'callout_show', sanitize_text_field($_POST['callout_show']));
			update_post_meta($post_ID, 'rport_show', sanitize_text_field($_POST['rport_show']));
		}
	}
}
?>