<?php

/************* Slider custom post type ***********************/
/*************  Portfolio custom post type ***********************/
add_action( 'init', 'gymnaz_theme_portfolio_type' );

function gymnaz_theme_portfolio_type()
{	
	
   	register_post_type( 'portfolio',
		array(
			'labels' => array(
				'name' => __('Portfolio','gymnaz-pro'),
				'add_new' => __('Add New Portfolio', 'gymnaz-pro'),
				'add_new_item' => __('Add New Portfolio','gymnaz-pro'),
				'edit_item' => __('Edit Portfolio','gymnaz-pro'),
				'new_item' => __('New Portfolio','gymnaz-pro'),
				'all_items' => __('All Portfolio','gymnaz-pro'),
				'view_item' => __('View Link','gymnaz-pro'),
				'search_items' => __('Search Links','gymnaz-pro'),
				'not_found' =>  __('No Links found','gymnaz-pro'),
				'not_found_in_trash' => __('No Links found in Trash','gymnaz-pro'), 
			),
		'supports' => array('title', 'editor', 'thumbnail'),
		'publicly_queryable' => true,
		'show_ui'            => true,
		'public' => true,
		'show_in' => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'portfolio' ),
		// 'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,	
		'show_in_nav_menus' => true,	
		'menu_icon' => 'dashicons-format-gallery',
		)
	);
	
		// Initialize New Taxonomy Labels
	$labels = array(
		'name' => _x( 'Category', 'Category general name', 'gymnaz-pro' ),
		'singular_name' => _x( 'Category', 'taxonomy singular name', 'gymnaz-pro' ),
		'search_items' =>  __( 'Search Category', 'gymnaz-pro' ),
		'all_items' => __( 'All Categories', 'gymnaz-pro'),
		'parent_item' => __( 'Parent Category', 'gymnaz-pro' ),
		'parent_item_colon' => __( 'Parent Category:', 'gymnaz-pro' ),
		'edit_item' => __( 'Edit Category', 'gymnaz-pro' ),
		'update_item' => __( 'Update Category', 'gymnaz-pro' ),
		'add_new_item' => __( 'Add New Category', 'gymnaz-pro' ),
		'new_item_name' => __( 'New Category Name', 'gymnaz-pro' ),
	);

	// Custom taxonomy for Project Tags
	register_taxonomy('catportfolio','portfolio', array(
		'hierarchical' => true,
		'public' => true,
		'labels' => $labels,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'cat-portifolio' ),
	)); 
}
add_action('after_setup_theme', 'gymnaz_theme_portfolio_type');
?>