<?php

add_action( 'widgets_init', 'gymnaz_pro_contact_info_widget_box' );

function gymnaz_pro_contact_info_widget_box() {
	register_widget( 'gymnaz_pro_contact_info_widget' );
}

class gymnaz_pro_contact_info_widget extends WP_Widget {

	public function __construct(){
		$widget_ops = array( 'classname' => 'contact_info-widget' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'contact_info' );
		parent::__construct( 'contact_info', __( 'Gymnaz Contact Info', 'gymnaz-pro'), $widget_ops, $control_ops );
	}

	public function widget( $args, $instance ) {
		
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		$address1 = $instance['address1'];
		$address2 = $instance['address2'];
		$phone1 = $instance['phone1'];
		$phone2 = $instance['phone2'];
		$email = $instance['email'];
		$web = $instance['web'];
		
		echo $before_widget;
		
		if ( ! empty( $title ) ) { echo '<h3>'.$title.'</h3>'; } ?>

		<ul class="address">
			<?php if( !empty($address1)) : ?>
	            <li>
	                <i class="fa fa-location-arrow"></i>
	                <div class="adress-content">
	                    <p> <?php echo esc_html_e( $address1 ); ?>
	                    </p>
	                </div>
	            </li>
	        <?php endif; ?>
	        <?php if( !empty($phone1)) : ?>
	            <li>
	                <i class="fa fa-phone"></i>
	                <div class="adress-content">
	                    <p><?php echo esc_html_e( $phone1 ); ?></p>
	                </div>
	            </li>
            <?php endif; ?>
            <?php if( !empty($email)) : ?>
	            <li>
	                <i class="fa fa-envelope"></i>
	                <div class="adress-content">
	                    <p><?php echo esc_html_e( $email ); ?></p>
	                </div>
	            </li>
	        <?php endif; ?>
		</ul>
	
	<?php echo $after_widget; }

	public function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);
        $instance['address1'] = strip_tags($new_instance['address1']);
        $instance['address2'] = strip_tags($new_instance['address2']);
        $instance['phone1'] = strip_tags( $new_instance['phone1'] );
        $instance['phone2'] = strip_tags( $new_instance['phone2'] );
        $instance['email'] = strip_tags($new_instance['email']);
        $instance['web'] = strip_tags($new_instance['web']);
		
		return $instance;
	}

	public function form( $instance ) {
		$defaults = array( 'title' =>__('' , 'gymnaz-pro') , 'icon_size' =>'16' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		<p>
            <label for="<?php echo  esc_attr($this->get_field_id('title')); ?>">
            	<?php esc_attr_e('Title:', 'gymnaz-pro') ?>
            </label>
            <input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php echo esc_attr($instance['title']);?>">
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('address1')); ?>"><?php esc_attr_e('Address :', 'gymnaz-pro') ?></label>
            <input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id('address1')); ?>" name="<?php echo esc_attr($this->get_field_name('address1')); ?>" value="<?php echo esc_attr($instance['address1']);?>">
        </p>
        
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone1')); ?>"><?php esc_attr_e('Phone:', 'gymnaz-pro') ?></label>
            <input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id('phone1')); ?>" name="<?php echo esc_attr($this->get_field_name( 'phone1' )); ?>" value="<?php echo esc_attr($instance['phone1']);?>">
        </p>
        
        <p>
            <label for="<?php echo esc_url($this->get_field_id( 'email' )); ?>"><?php esc_attr_e('Email:', 'gymnaz-pro') ?></label>
            <input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id('email')); ?>" name="<?php echo esc_attr($this->get_field_name('email')); ?>" value="<?php echo esc_attr($instance['email']);?>">
        </p>
        
	<?php
	}
}
?>