<?php
add_action( 'widgets_init', 'gymnaz_themeposts_list_widget' );
function gymnaz_themeposts_list_widget() {
	register_widget( 'gymnaz_themeposts_list' );
}
class gymnaz_themeposts_list extends WP_Widget {

	public function __construct(){
		$widget_ops 	= array( 'classname' => 'posts-list'  );
		$control_ops 	= array( 'width' => 250, 'height' => 350, 'id_base' => 'posts-list-widget' );
		parent::__construct( 'posts-list-widget', __( 'Gymnaz Latest Post' , 'gymnaz-pro'), $widget_ops, $control_ops );
	}

	public function widget( $args, $instance ) {
		extract( $args );

		$title 			= apply_filters('widget_title', $instance['title'] );
		$no_of_posts 	= $instance['no_of_posts'];
		$thumb 			= ! empty( $instance['thumb'] ) ? $instance['thumb'] : false;
		$style = $instance['style'] ? $instance['style'] : 'style1';

		echo $before_widget;
		if ( ! empty( $title ) ):
			echo $before_title;
			echo $title ; 
		endif;
		echo $after_title; 
		if ( $style == 'style1' ) {
		?>
			<div class="nav widget-tabs mb-30" role="tablist">
                <a class="nav-link active" href="#recent" role="tab" data-toggle="tab">
                    <h5 class="mb-0"> Recent Posts</h5>
                </a>
                <a class="nav-link" href="#popular" role="tab" data-toggle="tab">
                    <h5 class="mb-0"> Popular News</h5>
                </a>
            </div>
            <div class="widget-items">
                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane fade active show" id="recent">
                        <ul>
                        	<?php
							global $post;
							$original_post = $post;
							$args = array(
							'posts_per_page'		 => $no_of_posts,
							'no_found_rows'          => true,
							'ignore_sticky_posts'	 => true
							);
							
							$get_posts_query = new WP_Query( $args );
			
							if ( $get_posts_query->have_posts() ):
								while ( $get_posts_query->have_posts() ) : $get_posts_query->the_post()?>  
		                            <li class="news-post">
		                            	<?php if ( function_exists("has_post_thumbnail") && has_post_thumbnail() && $thumb ) : ?>
			                                <figure class="thumb">
			                                    <a href="<?php the_permalink(); ?>">
			                                        <?php the_post_thumbnail( 'thumbnail', array('class' => 'media-object') ); ?>
			                                    </a>
			                                </figure>
			                            <?php  endif; ?>
		                                <div class="news-content">
		                                    <a href="<?php the_permalink(); ?>"><?php the_title();?></a>
		                                    <p>
		                                        <i class="fa fa-calendar"></i> <?php the_time(get_option( 'date_format' )); ?>
		                                    </p>
		                                </div>
		                            </li>
		                        <?php
								endwhile;
							endif;
							?>
                        </ul>
                    </div>
                    <div role="tabpanel" class="tab-pane fade" id="popular">
                        <ul>
                        	<?php
							setPostViews(get_the_ID());

							query_posts('meta_key=post_views_count&orderby=meta_value_num&order=DESC&posts_per_page='.$no_of_posts.'');
							if (have_posts()) : while (have_posts()) : the_post();
							?>
	                            <li class="news-post">
	                            	<?php if ( function_exists("has_post_thumbnail") && has_post_thumbnail() && $thumb ) : ?>
		                                <figure class="thumb">
		                                    <a href="blog-detail.html">
		                                        <?php the_post_thumbnail( 'thumbnail', array('class' => 'media-object') ); ?>
		                                    </a>
		                                </figure>
		                            <?php  endif; ?>
	                                <div class="news-content">
	                                    <a href="<?php the_permalink(); ?>"><?php the_title();?></a>
	                                    <p>
	                                        <i class="fa fa-calendar"></i> <?php the_time(get_option( 'date_format' )); ?>
	                                    </p>
	                                </div>
	                            </li>
	                        <?php
							endwhile;
							endif;
							?>
                        </ul>
                    </div>
                </div>
            </div>
			
		<?php 
		}
		elseif ( $style == 'style2' ) {
		?>	
			<ul>
				<?php
				global $post;
				$original_post = $post;
				$args = array(
					'posts_per_page'		 => $no_of_posts,
					'no_found_rows'          => true,
					'ignore_sticky_posts'	 => true
				);

				$get_posts_query = new WP_Query( $args );

				if ( $get_posts_query->have_posts() ):
					while ( $get_posts_query->have_posts() ) : $get_posts_query->the_post()?>

					
	                <li class="<?php echo $style;?> news-post">
	                	<?php if ( function_exists("has_post_thumbnail") && has_post_thumbnail() && $thumb ) : ?>
		                    <figure class="thumb">
		                        <a href="<?php the_permalink(); ?>">
		                            <?php the_post_thumbnail( 'thumbnail', array('class' => 'media-object') ); ?>
		                        </a>
		                    </figure>
		                <?php  endif; ?>
	                    <div class="news-content">
	                        <a href="<?php the_permalink(); ?>"><?php the_title();?></a>
	                        <p><?php  echo esc_html( get_the_time('j') ); ?> <?php  echo esc_html( get_the_date('M') ); ?>, <?php  echo esc_html( get_the_date('Y') ); ?></p>
	                    </div>
	                </li>
	                          
	                        	
					<?php
					endwhile;
				endif;
				?>
			</ul>

		<?php
		}
		$post = $original_post;
		wp_reset_query();
		echo $after_widget;
	}

	public function update( $new_instance, $old_instance ) {
		$instance 					= $old_instance;
		$instance['style'] 			= strip_tags( $new_instance['style'] );
		$instance['title'] 			= strip_tags( $new_instance['title'] );
		$instance['no_of_posts'] 	= strip_tags( $new_instance['no_of_posts'] );
		$instance['posts_order'] 	= strip_tags( $new_instance['posts_order'] );
		$instance['thumb'] 			= strip_tags( $new_instance['thumb'] );
		return $instance;
	}

	public function form( $instance ) {
		$defaults = array( 'title' =>__('LATEST NEWS' , 'tie') ,'style' => '1', 'no_of_posts' => '5' , 'posts_order' => 'latest', 'thumb' => 'true' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' , 'tie') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( !empty($instance['title']) ) echo $instance['title']; ?>" class="widefat" type="text" />
		</p>
		<p>
        	<label for="<?php echo  esc_attr($this->get_field_id('style')); ?>"> <?php esc_attr_e('Posts Style:', 'gymnaz-pro') ?></label>

        	<select id="<?php echo esc_attr($this->get_field_id('style')); ?>" name="<?php echo esc_attr($this->get_field_name('style')); ?>">
				<option value="style1" <?php selected( $instance['style'], 'style1' ); ?>> <?php esc_attr_e('For Sidebar', 'gymnaz-pro') ?> </option>
            	<option value="style2" <?php selected( $instance['style'], 'style2' ); ?>> <?php esc_attr_e('For Footer', 'gymnaz-pro') ?> </option>
			</select>
        </p>
		<p>
			<label for="<?php echo $this->get_field_id( 'no_of_posts' ); ?>"><?php _e( 'Number of posts to show:' , 'tie') ?></label>
			<input id="<?php echo $this->get_field_id( 'no_of_posts' ); ?>" name="<?php echo $this->get_field_name( 'no_of_posts' ); ?>" value="<?php if( !empty($instance['no_of_posts']) ) echo $instance['no_of_posts']; ?>" type="text" size="3" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'thumb' ); ?>"><?php _e( 'Display Thumbnails:' , 'tie') ?></label>
			<input id="<?php echo $this->get_field_id( 'thumb' ); ?>" name="<?php echo $this->get_field_name( 'thumb' ); ?>" value="true" <?php if( !empty( $instance['thumb'] ) ) echo 'checked="checked"'; ?> type="checkbox" />
		</p>

	<?php
	}
}
?>