<?php

add_action( 'widgets_init', 'gymnaz_pro_social_widget_box' );

function gymnaz_pro_social_widget_box() {
	register_widget( 'gymnaz_pro_social_widget' );
}

class gymnaz_pro_social_widget extends WP_Widget {

	public function __construct(){
		$widget_ops = array( 'classname' => 'social-icons-widget' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'social' );
		parent::__construct( 'social', __( 'Gymnaz Social Share', 'gymnaz-pro'), $widget_ops, $control_ops );
	}

	public function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		$Twitter_url = $instance['Twitter_url'] ;
		$facebook_url = $instance['facebook_url'];
		$Vine_url = $instance['Vine_url'];
		$Instagram_url = $instance['Instagram_url'];
		$Pinterest_url = $instance['Pinterest_url'];
		$Youtube_url = $instance['Youtube_url'];
		$Google_Plus_url = $instance['Google_Plus_url'];
		$linkdn_url = $instance['linkdn_url'];
		$Tumblr_url = $instance['Tumblr_url'];
		$Flickr_url = $instance['Flickr_url'];
		$GitHub_url	= $instance['GitHub_url'];
		$SoundCloud_url = $instance['SoundCloud_url'] ;
		
		echo $before_widget;
		
		if ( ! empty( $title ) ) { echo '<h3>'.$title.'</h3>'; } ?>

		<div class="foot-socials">

			<?php if( !empty($Twitter_url)) : ?>
				<a target="_blank" href="<?php echo $Twitter_url; ?>"><i class="fa fa-twitter-square"></i></a>
			<?php endif; ?>

			<?php if( !empty($facebook_url)) : ?>
				<a target="_blank" href="<?php echo $facebook_url; ?>"><i class="fa fa-facebook-square"></i></a>
			<?php endif; ?>

			<?php if( !empty($Vine_url)) : ?>
				<a target="_blank" href="<?php echo $Vine_url; ?>"><i class="fa fa-vine"></i></a>
			<?php endif; ?>

			<?php if( !empty($Pinterest_url)) : ?>
				<a target="_blank" href="<?php echo $Pinterest_url; ?>"><i class="fa fa-pinterest-square"></i></a>
			<?php endif; ?>

			<?php if( !empty($Instagram_url)) : ?>
				<a target="_blank" href="<?php echo $Instagram_url; ?>"><i class="fa fa-instagram"></i></a>
			<?php endif; ?>

			<?php if( !empty($Youtube_url)) : ?>
				<a target="_blank" href="<?php echo $Youtube_url; ?>"><i class="fa fa-youtube-play"></i></a>
			<?php endif; ?>

			<?php if( !empty($linkdn_url)) : ?>
				<a target="_blank" href="<?php echo $linkdn_url; ?>"><i class="fa fa-linkedin-square"></i></a>
			<?php endif; ?>
			<?php if( !empty($Google_Plus_url)) : ?>
				<a target="_blank" href="<?php echo $Google_Plus_url; ?>"><i class="fa fa-google-plus-square"></i></a>
			<?php endif; ?>

			<?php if( !empty($Tumblr_url)) : ?>
				<a target="_blank" href="<?php echo $Tumblr_url; ?>"><i class="fa fa-tumblr"></i></a>
			<?php endif; ?>

			<?php if( !empty($GitHub_url)) : ?>
				<a target="_blank" href="<?php echo $GitHub_url; ?>"><i class="fa fa-github-alt"></i></a>
			<?php endif; ?>

			<?php if( !empty($Flickr_url)) : ?>
				<a target="_blank" href="<?php echo $Flickr_url; ?>"><i class="fa fa-flickr"></i></a>
			<?php endif; ?>

			<?php if( !empty($SoundCloud_url)) : ?>
				<a target="_blank" href="<?php echo $SoundCloud_url; ?>"><i class="fa fa-soundcloud"></i></a>
			<?php endif; ?>
		</div>
		
	<?php echo $after_widget; }

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['Twitter_url'] = strip_tags( $new_instance['Twitter_url'] );
		$instance['facebook_url'] = strip_tags( $new_instance['facebook_url'] );
		$instance['Vine_url'] = strip_tags( $new_instance['Vine_url'] );
		$instance['Pinterest_url'] = strip_tags( $new_instance['Pinterest_url'] );
		$instance['Instagram_url'] = strip_tags( $new_instance['Instagram_url'] );
		$instance['Youtube_url'] = strip_tags( $new_instance['Youtube_url'] );
		$instance['Google_Plus_url'] = strip_tags( $new_instance['Google_Plus_url'] );
		$instance['linkdn_url'] = strip_tags( $new_instance['linkdn_url'] );
		$instance['Tumblr_url'] = strip_tags( $new_instance['Tumblr_url'] );
		$instance['Flickr_url'] = strip_tags( $new_instance['Flickr_url'] );
		$instance['GitHub_url'] = strip_tags( $new_instance['GitHub_url'] );
		$instance['SoundCloud_url'] = strip_tags( $new_instance['SoundCloud_url'] );
		
		return $instance;
	}

	public function form( $instance ) {
		$defaults = array( 'title' =>__('Social' , 'gymnaz-pro') , 'icon_size' =>'16' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( !empty($instance['title']) ) echo $instance['title']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'Twitter_url' ); ?>"><?php _e( 'Twitter Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'Twitter_url' ); ?>" name="<?php echo $this->get_field_name( 'Twitter_url' ); ?>" value="<?php if( !empty($instance['Twitter_url']) ) echo $instance['Twitter_url']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'facebook_url' ); ?>"><?php _e( 'Facebook Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'facebook_url' ); ?>" name="<?php echo $this->get_field_name( 'facebook_url' ); ?>" value="<?php if( !empty($instance['facebook_url']) ) echo $instance['facebook_url']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'Vine_url' ); ?>"><?php _e( 'Vine Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'Vine_url' ); ?>" name="<?php echo $this->get_field_name( 'Vine_url' ); ?>" value="<?php if( !empty($instance['Vine_url']) ) echo $instance['Vine_url']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'Pinterest_url' ); ?>"><?php _e( 'Pinterest Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'Pinterest_url' ); ?>" name="<?php echo $this->get_field_name( 'Pinterest_url' ); ?>" value="<?php if( !empty($instance['Pinterest_url']) ) echo $instance['Pinterest_url']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'Instagram_url' ); ?>"><?php _e( 'Instagram Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'Instagram_url' ); ?>" name="<?php echo $this->get_field_name( 'Instagram_url' ); ?>" value="<?php if( !empty($instance['Instagram_url']) ) echo $instance['Instagram_url']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'Youtube_url' ); ?>"><?php _e( 'Youtube Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'Youtube_url' ); ?>" name="<?php echo $this->get_field_name( 'Youtube_url' ); ?>" value="<?php if( !empty($instance['Youtube_url']) ) echo $instance['Youtube_url']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'Google_Plus_url' ); ?>"><?php _e( 'Google Plus Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'Google_Plus_url' ); ?>" name="<?php echo $this->get_field_name( 'Google_Plus_url' ); ?>" value="<?php if( !empty($instance['Google_Plus_url']) ) echo $instance['Google_Plus_url']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'linkdn_url' ); ?>"><?php _e( 'Linkedin Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'linkdn_url' ); ?>" name="<?php echo $this->get_field_name( 'linkdn_url' ); ?>" value="<?php if( !empty($instance['linkdn_url']) ) echo $instance['linkdn_url']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'Tumblr_url' ); ?>"><?php _e( 'Tumblr Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'Tumblr_url' ); ?>" name="<?php echo $this->get_field_name( 'Tumblr_url' ); ?>" value="<?php if( !empty($instance['Tumblr_url']) ) echo $instance['Tumblr_url']; ?>" class="widefat" type="text" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'Flickr_url' ); ?>"><?php _e( 'Flickr Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'Flickr_url' ); ?>" name="<?php echo $this->get_field_name( 'Flickr_url' ); ?>" value="<?php if( !empty($instance['Flickr_url']) ) echo $instance['Flickr_url']; ?>" class="widefat" type="text" />
		</p>		
		<p>
			<label for="<?php echo $this->get_field_id( 'GitHub_url' ); ?>"><?php _e( 'GitHub Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'GitHub_url' ); ?>" name="<?php echo $this->get_field_name( 'GitHub_url' ); ?>" value="<?php if( !empty($instance['GitHub_url']) ) echo $instance['GitHub_url']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'SoundCloud_url' ); ?>"><?php _e( 'SoundCloud Profile Url:' , 'gymnaz-pro') ?></label>
			<input id="<?php echo $this->get_field_id( 'SoundCloud_url' ); ?>" name="<?php echo $this->get_field_name( 'SoundCloud_url' ); ?>" value="<?php if( !empty($instance['SoundCloud_url']) ) echo $instance['SoundCloud_url']; ?>" class="widefat" type="text" />
		</p>
		
	<?php
	}
}
?>