<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @package Gymnaz
 */
get_header(); 
$sidebar_pos = gymnaz_get_opt( 'archive_sidebar_pos', 'right' ); ?>
<!-- blog detail start-->
<div class="sp-100 bg-w">
    <div class="container">
        <div class="row">
            <div <?php gymnaz_primary_class( $sidebar_pos, '' ); ?>>
                <div class="row">
                	<?php if ( have_posts() ) :
						
						/* Start the Loop */
						while ( have_posts() ) : the_post(); 
							get_template_part( 'template-parts/content', '' ); 
						endwhile ; 
					else:
						get_template_part( 'template-parts/content', 'none' );
					endif ; ?>
                </div>
                <div class="row">
                    <div class="col-12 text-center">
                        <?php theme_pagination(); ?>
                    </div>
                </div>
            </div>
            <?php if ( 'none' != $sidebar_pos ) : ?>
                <div <?php gymnaz_secondary_class( $sidebar_pos, '' ); ?>>
                    <aside class="sidebar mt-5 mt-lg-0">
                        <?php get_sidebar(); ?>
                    </aside>
                </div>
            <?php endif; ?>
            <div id="freeTrialPopup" class="popup-parent">
                    <div class="popup">
                        <h2>Start your free trial now!</h2>
                        <p>Start your free trial now! You can use the best features of Premium Themes for Free for 15 days.</p>
                        <button class="popup-button" onclick="startFreeTrial()">Start Free Trial</button>
                    </div>
                </div>
                <div id="endTrialPopup" class="popup-parent">
                    <div class="popup">
                        <h2>Your 15 days Free trial has expired. Purchase the theme now!</h2>
                        <a href="https://testerwp.com/product/gymnaz-pro/" target="_blank" class="popup-button">Purchase now</a>
                    </div>
                </div>
                <script>
                    function startFreeTrial() {
                        const now = new Date();
                        localStorage.setItem('freeTrialStart', now.toISOString());
                        closePopup('freeTrialPopup');
                    }

                    function checkTrialStatus() {
                        const startDateStr = localStorage.getItem('freeTrialStart');
                        if (startDateStr) {
                            const startDate = new Date(startDateStr);
                            const now = new Date();
                            const diffTime = now - startDate;
                            const diffDays = Math.floor(diffTime / (1000 * 60 * 60 * 15));
                            console.log(diffTime)
                            console.log(diffDays)
                            if (diffDays >= 0) {
                    // Show the end trial popup
                                showPopup('endTrialPopup');
                            }
                        } else {
                // Show the start trial popup
                            showPopup('freeTrialPopup');
                        }
                    }

                    function showPopup(popupId) {
                        document.getElementById(popupId).classList.add('show');
                    }

                    function closePopup(popupId) {
                        document.getElementById(popupId).classList.remove('show');
                    }

        // Check trial status on page load
                    document.addEventListener('DOMContentLoaded', checkTrialStatus);
                </script>
        </div>
    </div>
</div>
<!-- blog detail ends-->
<?php get_footer();