<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Gymnaz
 */

get_header();
$show_sidebar_page = gymnaz_get_page_opt( 'show_sidebar_page', false );
if ( $show_sidebar_page ) {
    $sidebar_pos = gymnaz_get_page_opt( 'sidebar_page_pos' );
} else {
    $sidebar_pos = '';
} ?>

<section class="sp-100-70" id="content">
    <div class="container">
    	<div class="row">
    	<div <?php gymnaz_primary_class( $sidebar_pos, '' ); ?>>
			<?php
				while ( have_posts() ) : the_post();
					the_content();
					
					wp_link_pages( array(
						'before'      => '<nav><ul class="pagination custom-nav">',
						'after'       => '</ul></nav>',
						'separator'        => ' ',
					) );
					
					if ( comments_open() || get_comments_number() ) { ?>
						<?php comments_template();?>
					<?php }
				endwhile; // End of the loop.
			?>	
		</div>
		<?php if ( '1' == $show_sidebar_page ) : ?>
            <div <?php gymnaz_secondary_class( $sidebar_pos, '' ); ?>>
                <aside class="sidebar mt-5 mt-lg-0">
                    <?php get_sidebar(); ?>
                </aside>
            </div>
        <?php endif; ?>
    </div>
    </div>
</section>
<?php get_footer(); ?>