<?php 
/**
 * Portfolio Post.
 *
 * @package gymnaz
 * @since   1.0.0
 */
global $post;

get_header();
$port_callout = gymnaz_get_opt( 'port_callout', true );
$port_sidebar = gymnaz_get_opt( 'port_sidebar', true );
the_post();
$portfolio_description = stripslashes( get_post_meta( get_the_ID(), 'portfolio_description', true ));
$project_createdby = sanitize_text_field( get_post_meta( get_the_ID(), 'project_createdby', true ));
$portfolio_custom_link = get_post_meta( get_the_ID(), 'portfolio_custom_link', true );
$client_name =  get_post_meta( get_the_ID(), 'client_name', true );
$project_website_url =  get_post_meta( get_the_ID(), 'project_website_url', true );
$project_trainer =  get_post_meta( get_the_ID(), 'project_trainer', true );
$callout_show = sanitize_text_field( get_post_meta( get_the_ID(), 'callout_show', true ));
$rport_show = sanitize_text_field( get_post_meta( get_the_ID(), 'rport_show', true ));
?>
<!-- class detail start-->
<div class="sp-100 bg-w">
    <div class="container">
        <div class="row">
        	<div class="col-lg-<?php if($port_sidebar =="1"){ ?>8<?php }else{ ?>12<?php } ?>">
                <div class="class-detail">
                    <?php echo the_post_thumbnail('', array('class' => 'img-responsive mb-4')); ?>
                    <h4><?php the_title(); ?></h4>
                    <ul class="d-md-flex bor-b pb-1 mb-4">
                    	<?php if($project_website_url!==""){ ?>
	                        <li class="mr-5">
	                            <p>
	                                <i class="fa fa-clock-o mr-2 c-theme"></i>
	                                <span class="c-theme text-capitalize">class time : </span>
	                                <span><?php echo $project_website_url; ?></span>
	                            </p>
	                        </li>
	                    <?php }
	                    if($project_trainer!==""){ ?>
	                        <li class="mr-5">
	                            <p class="text-capitalize">
	                                <i class="fa fa-user mr-2 c-theme"></i>
	                                <span class="c-theme text-capitalize">trainer : </span>
	                                <span><?php echo $project_trainer; ?></span>
	                            </p>
	                        </li>
	                    <?php } ?>
                    </ul>
                    <?php the_content(); ?>
                    <?php 
                    if($rport_show =="yes"){
			            $args = array(
			                'posts_per_page'      => 6,
			                'post_type'           => "portfolio",                          
			                'post_status' => 'publish', 
			                'post__not_in' => array($post->ID), 
			            );
			            $categories = get_the_terms( $post->ID, 'catportfolio' );
						if ( $categories && ! is_wp_error( $categories ) ) : 
							$all_categories = array();
							$first_cat = array();
							foreach ( $categories as $category ){
								$all_categories[] = $category->name;
							}
							$all_categories = str_replace(' ', ' ', $all_categories);
							$first_cat = str_replace(' ', '-', $all_categories);
							$main_cat = join( ",", $first_cat );	
							$categories_r = join( ", ", $all_categories );		
							else :	
							$categories_r = '';
							$main_cat = '';	
						endif;			
			            if ($main_cat !== '') {
			                $n_category = explode(',', $main_cat);                      
			                $args['tax_query']=array(
			                    array(
			                        'taxonomy' => 'catportfolio',
			                        'field' => 'slug',
			                        'terms' => $n_category
			                    )
			                );
			            }            
			            $portfolio = new WP_Query( $args ); 
			            if( $portfolio->have_posts() )  { ?>
		                    <div class="other-programs">
		                        <h4 class="title-sep2 mb-5">
		                            Other Fitness programs
		                        </h4>
	                        	<div class="service-4slider owl-carousel owl-theme">
	                        		<?php                     
		                    		while ( $portfolio->have_posts() ) : $portfolio->the_post(); ?>
			                            <div class="service-box3">
			                                <?php echo the_post_thumbnail(); ?>
			                                <h5><?php the_title(); ?></h5>
			                            </div>
		                         	<?php endwhile; ?>
		                        </div>
			                </div>
		                <?php } 
		            } ?>
                </div>
            </div>
            <?php if($port_sidebar =="1"){ ?>
	            <div class="col-lg-4">
	                <aside class="sidebar mt-5 mt-lg-0">
	                    <?php dynamic_sidebar( 'portfolio_sidebar' ); ?>
	                </aside>
	            </div>
	        <?php } ?>
        </div>
    </div>
</div>
<!-- class detail ends-->
<?php if($callout_show =="yes" && $port_callout =="1"){ ?>
<!-- cta start-->
<section class="cta">
    <div class="container">
        <div class="row">
            <div class="col-lg-9 text-lg-left text-center">
                <h3 class="c-white text-capitalize"><?php echo gymnaz_get_opt('c_title'); ?></h3>
                <p class="c-white mb-0"><?php echo gymnaz_get_opt('c_desc'); ?></p>
            </div>
            <div class="col-lg-3 text-lg-right text-center">
                <a href="<?php echo gymnaz_get_opt('c_btnurl'); ?>" class="btn btn-two mt-3"><?php echo gymnaz_get_opt('c_btntxt'); ?></a>
            </div>
        </div>
    </div>
</section>
<!-- cta end-->
<?php } ?>
<?php
get_footer();
?>

<!-- ====== Recent Work End ====== -->