<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Gymnaz
 */

get_header();
$sidebar_pos = gymnaz_get_opt( 'post_sidebar_pos', 'right' );
$blog_callout = gymnaz_get_opt( 'blog_callout', true );
the_post(); 
?>
<!-- blog detail start-->
<div class="sp-100 bg-w">
    <div class="container">
        <div class="row">
            <div <?php gymnaz_primary_class( $sidebar_pos, '' ); ?>>
            	<?php get_template_part( 'template-parts/content','single' ); ?>
            </div>
            <?php if ( 'none' != $sidebar_pos ) : ?>
                <div <?php gymnaz_secondary_class( $sidebar_pos, '' ); ?>>
                    <aside class="sidebar mt-5 mt-lg-0">
                        <?php get_sidebar(); ?>
                    </aside>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<!-- blog detail ends-->
<?php if($blog_callout =="1"){ ?>
<!-- cta start-->
<section class="cta">
    <div class="container">
        <div class="row">
            <div class="col-lg-9 text-lg-left text-center">
                <h3 class="c-white text-capitalize"><?php echo gymnaz_get_opt('b_title'); ?></h3>
                <p class="c-white mb-0"><?php echo gymnaz_get_opt('b_desc'); ?></p>
            </div>
            <div class="col-lg-3 text-lg-right text-center">
                <a href="<?php echo gymnaz_get_opt('b_btnurl'); ?>" class="btn btn-two mt-3"><?php echo gymnaz_get_opt('b_btntxt'); ?></a>
            </div>
        </div>
    </div>
</section>
<!-- cta end-->
<?php } ?>
<?php get_footer(); ?>