<?php global $post; 
$post_social_share_on = gymnaz_get_opt( 'post_social_share_on', false );
$post_tags_on = gymnaz_get_opt( 'post_tags_on', true );
$post_feature_image_on = gymnaz_get_opt( 'post_feature_image_on', true );
$post_author_on = gymnaz_get_opt( 'post_author_on', false );
?>

<div class="blog-detail">
    <?php if( has_post_thumbnail() && $post_feature_image_on ) : ?>
        <?php the_post_thumbnail('full'); ?>
    <?php endif; ?>
    <div class="row mb-2">
        <div class="col-md-8">
            <?php gymnaz_post_meta(); ?>
        </div>
        <?php if($post_social_share_on) : ?>
            <div class="col-md-4 text-md-right text-left">
                <?php 
                    gymnaz_socials_share_default(); 
                 ?>
            </div>
        <?php endif; ?>
    </div>
    <h4 class="text-capitalize"><?php echo esc_html__(get_the_title(),'gymnaz-pro'); ?></h4>
    <?php the_content(); ?>
    <?php if($post_tags_on) : ?>
        <div class="post-tags mt-4">
            <?php the_tags( ' <span class="text-capitalize mr-2 c-black">
            <i class="fa fa-tags"></i>'. esc_html__( 'Tags :', 'gymnaz-pro' ).'</span>', ', ' );?>
        </div>
    <?php endif; ?>
</div>
<div class="pagination-blog mt-4 mb-60">
    <?php 
    $prev_post = get_previous_post();
    if (!empty( $prev_post )): 
    ?>
        <a href="<?php echo get_permalink( $prev_post->ID ); ?>" class="blog-prev">
        <i class="fa fa-angle-left"></i> Prev post</a>
    <?php endif; ?>    
                                                
    <?php $next_post = get_next_post();
    if (!empty( $next_post )): 
    ?>   
        <a href="<?php echo get_permalink( $next_post->ID ); ?>" class="blog-next">Next post
            <i class="fa fa-angle-right"></i>
        </a>
    <?php endif; ?>
</div>

<?php  if ( $post_author_on ) : ?>
    <div class="author-section mb-60">
        <h4 class="title-sep2 mb-30">
            about author
        </h4>
        <div class="author-post">
            <div class="aut-img">
                <span>
                    <?php echo get_avatar( get_the_author_meta('user_email'), $size = '150'); ?>
                </span>
            </div>
            <div class="aut-content">
                <h5 class="mb-2"><?php the_author(); ?></h5>
                <p class="mb-0"><?php the_author_meta( 'description' ); ?></p>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php 
    // If comments are open or we have at least one comment, load up the comment template.
    if ( comments_open() || get_comments_number() ) :
        comments_template();
    endif;
?>