<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Gymnaz
 */ 
$archive_date_on = gymnaz_get_opt( 'archive_date_on', true );
setPostViews(get_the_ID());
?>
<div id="post-<?php the_ID(); ?>" class="col-12">
    <article class="blog-item blog-2">
        <div class="post-img">
            <?php if ( has_post_thumbnail() ) :
				the_post_thumbnail( array( 570, 365 ) );
			else : 
				echo '<img src="'. no_image.'" alt="No Image">';
			endif ; ?>
            <?php if($archive_date_on) : ?>
                <div class="date-1">
                    <p>
                        <span><?php echo esc_html( get_the_date('d') ); ?> </span>
                        <?php echo esc_html( get_the_date('M') ); ?></p>
                </div>
            <?php endif; ?>
        </div>
        <?php gymnaz_archive_meta(); ?>
        <div class="post-content p-4 text-center">
            <h5>
                <a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html__(get_the_title(),'gymnaz-pro'); ?></a>
            </h5>
            <p><?php echo theme_custom_excerpt( 45 ); ?></p>
            <a href="<?php echo esc_url( get_permalink() ); ?>" class="text-uppercase read-more"><?php esc_html_e( 'Read More', 'gymnaz-pro' ); ?></a>
        </div>
    </article>
</div>