<?php

$categories_array = array();
$args             = array('taxonomy' => 'category');
$categories       = get_categories( $args );
foreach ( $categories as $category ) {
    $categories_array[ $category->name ] = $category->slug;
}

$args = array(
    'name' => 'Blog',
    'base' => 'gymnaz_blog',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Blog Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        /* Style */
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Style', 'gymnaz-pro'),
            'param_name' => 'style',
            'description' => 'Select Style.',
            'value' => array(
                esc_html__( 'Style 1', 'gymnaz-pro' ) => 'blog-2',
                esc_html__( 'Style 2', 'gymnaz-pro' ) => 'blog-1',
            ),
        ),

        /* Column */
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Blog number of columns", 'gymnaz-pro'),
            "param_name" => "bg_column",
            "description" => esc_html__("Choose the number of columns", 'gymnaz-pro'),
            "value" => array (
                esc_html__('Standard', 'gymnaz-pro') => "col-12" ,
                esc_html__('Two columns', 'gymnaz-pro') => "col-lg-6 col-md-6 col-12",
                esc_html__('Three columns', 'gymnaz-pro') => "col-lg-4 col-md-6 col-12",
            ),
           
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => __("Category", 'gymnaz-pro'),
            "param_name" => "category",
            'value' => $categories_array,
            "description" => __("Select the Category to show / Filter By Category(optional)", 'gymnaz-pro')
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => __("Number of post to load", 'gymnaz-pro'),
            "param_name" => "to_show",
            "value" => __(" ", 'gymnaz-pro'),
            "description" => __("Number of post to load", 'gymnaz-pro')
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => __("Excerpt Length", 'gymnaz-pro'),
            "param_name" => "excerpt_length",
            "value" => __("50", 'gymnaz-pro'),
            "description" => __("Number of caracter for blog post excerpt", 'gymnaz-pro')
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Order", 'gymnaz-pro'),
            "param_name" => "blog_order",
            "value" => array ("Descending" => "DESC", "Ascending" => 'ASC'),
            "description" => __("Choose the Order ( default Descending )", 'gymnaz-pro'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Order By", 'gymnaz-pro'),
            "param_name" => "blog_orderby",
            "value" => array ("Date" => "date", "Title" => 'title', "Random" => 'rand', "Author" => 'author', "ID" => 'ID', "Modified" => 'modified',),
            "description" => __("Choose by which parameter you want to order the posts ( default date )", 'gymnaz-pro'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => __("Extra Css", 'gymnaz-pro'),
            "param_name" => "el_class",
            "value" => '',
            "description" => __("Enter Css Class For extra Blog Style ( Design )", 'gymnaz-pro'),
        ),

    )
);

vc_map($args);  
class WPBakeryShortCode_gymnaz_blog extends DSShortCode {

    protected function content($atts, $content = null) {
        return parent::content($atts, $content);
    }
} ?>