<?php
vc_map(array(
    'name' => 'Feature Box',
    'base' => 'gymnaz_feature_box',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Feature Box Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        /* Title */
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Title', 'gymnaz-pro'),
            'param_name' => 'title',
            'description' => 'Enter title.',
            'value' => 'BUILD MUSCLE',
        ),

        /* Description */
        array(
            'type' => 'textarea',
            'heading' => esc_html__('Description', 'gymnaz-pro'),
            'param_name' => 'description',
            'description' => 'Enter description.',
            'value' => esc_html__('Lorem ipsum dolor sit amet constetu rtt adipiscing elit. Aenean cod ligula eget fasi dolor. Enean fg massa um sociis natoqae penat ibus.', 'gymnaz-pro'),
        ),

        /* Icon */
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon Library', 'gymnaz-pro' ),
            'value' => array(
                esc_html__( 'Font Awesome', 'gymnaz-pro' ) => 'fontawesome',
                esc_html__( 'Flaticon', 'gymnaz-pro' ) => 'flaticon',
            ),
            'param_name' => 'icon_list',
            'description' => esc_html__( 'Select icon library.', 'gymnaz-pro' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon FontAwesome', 'gymnaz-pro' ),
            'param_name' => 'icon_fontawesome',
            'value' => '',
            'settings' => array(
                'emptyIcon' => true,
                'type' => 'fontawesome',
                'iconsPerPage' => 200,
            ),
            'dependency' => array(
                'element' => 'icon_list',
                'value' => 'fontawesome',
            ),
            'description' => esc_html__( 'Select icon from library.', 'gymnaz-pro' ),
        ),  
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Flaticon', 'gymnaz-pro' ),
            'param_name' => 'icon_flaticon',
            'settings' => array(
                'emptyIcon' => true,
                'type' => 'flaticon',
                'iconsPerPage' => 200,
            ),
            'dependency' => array(
                'element' => 'icon_list',
                'value' => 'flaticon',
            ),
            'default' => 'flaticon-system',
            'description' => esc_html__( 'Select icon from library.', 'gymnaz-pro' ),
        ),

        /* Extra */
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
        ),
    )
));

class WPBakeryShortCode_gymnaz_feature_box extends DSShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>