<?php
vc_map(array(
    'name' => 'Feature Text',
    'base' => 'gymnaz_feature_text',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Feature Text Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        /* Style */
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Style', 'gymnaz-pro'),
            'param_name' => 'style',
            'description' => 'Select Style.',
            'value' => array(
                esc_html__( 'Style 1', 'gymnaz-pro' ) => 'style-1',
                esc_html__( 'Style 2', 'gymnaz-pro' ) => 'style-2',
                esc_html__( 'Style 3', 'gymnaz-pro' ) => 'style-3',
                esc_html__( 'Style 4', 'gymnaz-pro' ) => 'style-4',
            ),
        ),

        /* Title */
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Title', 'gymnaz-pro'),
            'param_name' => 'title',
            'description' => 'Enter title.',
            'value' => 'CARDIO TRAINING',
            'dependency' => array(
                'element' => 'style',
                'value' => array( 'style-1', 'style-3','style-4'),
            ),
        ),

        /* Description */
        array(
            'type' => 'textarea',
            'heading' => esc_html__('Description', 'gymnaz-pro'),
            'param_name' => 'description',
            'description' => 'Enter description.',
            'value' => esc_html__('Lorem ipsum dolor sit amet ri cons tetuer adipiscing elit. Ut Aenean cod ligula eget dolor enan fg massa um sociis.', 'gymnaz-pro'),
        ),


        /* Button Text*/
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Button Text', 'gymnaz-pro'),
            'param_name' => 'btn_txt',
            'description' => 'Enter Button Text.',
            'value' => 'Read More',
            'dependency' => array(
                'element' => 'style',
                'value' => array( 'style-2', 'style-4'),
            ),
        ),

        /* Button URL */
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Button URL', 'gymnaz-pro'),
            'param_name' => 'btn_url',
            'description' => 'Enter Button URL.',
            'value' => '',
            'dependency' => array(
                'element' => 'style',
                'value' => array( 'style-2', 'style-4'),
            ),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Button Color', 'gymnaz-pro'),
            'param_name' => 'btn_color',
            'description' => 'Enter Button Color.',
            'value' => array(
                esc_html__( 'Dark', 'gymnaz-pro' ) => 'btn-dark',
                esc_html__( 'Theme Color', 'gymnaz-pro' ) => 'btn-one',
                esc_html__( 'Transparent', 'gymnaz-pro' ) => 'btn-trans',
            ),
            'dependency' => array(
                'element' => 'style',
                'value' => array( 'style-2', 'style-4'),
            ),
        ),
       
        /* Extra */
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
        ),
    )
));

class WPBakeryShortCode_gymnaz_feature_text extends DSShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>