<?php
$categories_array = array();
$args             = array('taxonomy' => 'catportfolio');
$categories       = get_categories( $args );
foreach ( $categories as $category ) {
    $categories_array[ $category->name ] = $category->slug;
}

$args = array(
    'name' => 'Portfolio',
    'base' => 'gymnaz_portfolio',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Portfolio Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        /* Style */
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Style', 'gymnaz-pro'),
            'param_name' => 'style',
            'description' => 'Select Layout.',
            'value' => array(
                esc_html__( 'Style 1', 'gymnaz-pro' ) => 'style-1',
                esc_html__( 'Style 2', 'gymnaz-pro' ) => 'style-2',
                esc_html__( 'Style 3', 'gymnaz-pro' ) => 'style-3',
            ),
        ),
        
        /* Layout */

        array(
                "type" => "dropdown",
                "class" => "",
                "heading" => __("layout", 'gymnaz-pro'),
                "param_name" => "port_layout",
                "value" => array(
                    esc_html__( '4 columns', 'gymnaz-pro' ) => 'col-lg-3',
                    esc_html__( '3 columns', 'gymnaz-pro' ) => 'col-lg-4',
                    esc_html__( '2 columns', 'gymnaz-pro' ) => 'col-lg-6',
                ),
                "description" => __("Choose layout ( some may not apply depend on the design used )", 'gymnaz-pro'),
            ),
        
        
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => __("Category", 'gymnaz-pro'),
            "param_name" => "category",
            'value' => $categories_array,
            "description" => __("Select the Category to show / Filter By Category(optional)", 'gymnaz-pro')
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Order", 'gymnaz-pro'),
            "param_name" => "port_order",
            "value" => array ("Descending" => "DESC", "Ascending" => 'ASC'),
            "description" => __("Choose the Order ( default Descending )", 'gymnaz-pro'),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Order By", 'gymnaz-pro'),
            "param_name" => "port_orderby",
            "value" => array ("Date" => "date", "Title" => 'title', "Random" => 'rand', "Author" => 'author', "ID" => 'ID', "Modified" => 'modified',),
            "description" => __("Choose by which parameter you want to order the posts ( default date )", 'gymnaz-pro'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => __("Post per page", 'gymnaz-pro'),
            "param_name" => "posts_per_page",
            "value" => __("8", 'gymnaz-pro'),
            "description" => __("Number of post per page", 'gymnaz-pro')
        ),

        array(
            'type' => 'checkbox',
            'heading' => __("No Space?", 'gymnaz-pro'),
            'param_name' => 'nospace',
            'value' => array(  'Yes'  => 'yes' ),
            'description' => __("Select if you want to No Space for the portfolio", 'gymnaz-pro'),
            'dependency' => array(
                'element' => 'style',
                'value' => array( 'style-1','style-2'),
            ),
        ),

        array(
            'type' => 'checkbox',
            'heading' => __("Use filter?", 'gymnaz-pro'),
            'param_name' => 'filter',
            'value' => array(  'Yes'  => 'yes' ),
            'description' => __("Select if you want to use filter for the portfolio", 'gymnaz-pro'),
            'dependency' => array(
                'element' => 'style',
                'value' => array( 'style-1','style-2'),
            ),
        ),

        array(
            'type' => 'checkbox',
            'heading' => __("Enable Pagination?", 'gymnaz-pro'),
            'param_name' => 'pagination',
            'value' => array(  'Yes'  => 'yes' ),
            'description' => __("Select if you want to use pagination for the portfolio", 'gymnaz-pro'),
            'dependency' => array(
                'element' => 'style',
                'value' => array( 'style-1'),
            ),
        ),
            
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
            'group'            => esc_html__('Extra', 'gymnaz-pro')
        ),

    ));

vc_map($args);

class WPBakeryShortCode_gymnaz_portfolio extends DSShortCode
{

    protected function content($atts, $content = null) {
        return parent::content($atts, $content);
    }
}

?>