<?php
extract(shortcode_atts(array(
    'style'          => 'blog-2',
    'bg_column'          => 'col-12',
    'category'          => '',
    'to_show'          => 5,
    'excerpt_length'          => 50,
    'blog_order'          => '',
    'blog_orderby'          => '',
    'el_class'          => '',


), $atts));

$category_f = ( $category!=="all" ? $category : '');

if( !empty( $excerpt_length ) ) { $blog_exceprt = $excerpt_length; }
else{ $blog_exceprt = 20; }


if ( get_query_var('paged') ) { $paged = get_query_var('paged'); }
elseif ( get_query_var('page') ) { $paged = get_query_var('page'); }
else { $paged = 1; }

$query = new WP_Query();

if ( $category_f !== '' ) {
	$query->query(array(
		'post_type' => 'post',
		'order' => $order,
		'orderby' => $orderby,
		'category_name' => $category_f,
		'posts_per_page' => $to_show,
        'paged' => $paged,
		'post_status' => 'publish'
	));
} else {
	$query->query(array(
		'post_type' => 'post',
		'order' => $order,
		'orderby' => $orderby,
        'paged' => $paged,
		'posts_per_page' => $to_show,
		'post_status' => 'publish'
	));
} ?>

<div class="row center-grid masonary-wrap <?php echo esc_attr($el_class.' '); ?>">
    <?php while ( $query->have_posts() ) : $query->the_post(); setPostViews(get_the_ID());?>
        <div class="<?php echo $bg_column; ?> mas-item">
            <article class="blog-item <?php echo $style; ?>">
                <div class="post-img">
                    <?php if ( has_post_thumbnail() ) :
                        the_post_thumbnail( array( 570, 365 ) );
                    else : 
                        echo '<img src="'. no_image.'" alt="No Image">';
                    endif ; ?>
                    <div class="date-1">
                        <p>
                            <span><?php echo esc_html( get_the_date('d') ); ?></span>
                            <?php echo esc_html( get_the_date('M') ); ?></p>
                    </div>
                </div>
                <ul class="post-meta">
                    <li>
                        <i class="fa fa-user"></i>
                        <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) )?>"><?php echo esc_html( get_the_author()); ?></a>
                    </li>
                    <li>
                        <i class="fa fa-comments"></i>
                        <a href="#"><?php comments_number( __('0', 'gymnaz-pro' ), __('1', 'gymnaz-pro' ), __('%', 'gymnaz-pro' ) ); ?></a>
                    </li>
                    <li>
                        <i class="fa fa-eye"></i>
                        <a href="#"><?php  echo getPostViews(get_the_ID()); ?></a>
                    </li>
                </ul>
                <div class="post-content <?php if($style == "blog-2"){ ?> p-4 <?php }else{ ?> pt-4 <?php } ?><?php if($bg_column == 'col-12'){ ?> text-center<?php }?>">
                    <h5>
                        <a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html__(get_the_title( '' ),'gymnaz-pro'); ?></a>
                    </h5>
                    <p><?php echo theme_custom_excerpt( $blog_exceprt ); ?></p>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" class="text-uppercase read-more"><?php echo  esc_html('read more','gymnaz-pro');?></a>
                </div>
            </article>
        </div>
    <?php endwhile; ?>
</div>
<div class="row">
    <div class="col-12 text-center">
        <?php theme_pagination( $query ); ?>
    </div>
</div>