<?php
extract(shortcode_atts(array(
    'style' => 'style-1',
    'hide_empty'     => 0,
    'port_layout' => 'col-lg-3',
    'port_order' => 'DESC',
    'port_orderby' => 'date',
    'posts_per_page' => '8',
    'filter' => '',
    'nospace' => '',
    'pagination' => '',
    'category'       => 'category',
    'el_class' => '',

), $atts));

if ( get_query_var('paged') ) { $paged = get_query_var('paged'); }
elseif ( get_query_var('page') ) { $paged = get_query_var('page'); }
else { $paged = 1; }

$n_category = explode(',', $category);
$category_f = ( $category!=="all" ? $category : '');

global $post;

$args = array(
    'post_type' => 'portfolio',
    'order' => $port_order,
    'orderby' => $port_orderby,
    'posts_per_page' => $posts_per_page,
    'paged' => $paged,
    'post_status' => 'publish'
);

if ($category !== '' && $category !== "all") {
    $args['tax_query']=array(
        array(
            'taxonomy' => 'catportfolio',
            'field' => 'slug',
            'post_status' => 'publish',
            'terms' => $n_category
        )
    );
}

$port_query = new WP_Query($args);
if ($port_query->have_posts()) :
    if($style == 'style-1' or $style == 'style-2'){
    
        if ( $filter !== '') { ?>
            <div class="row">
                <div class="col-lg-10 offset-lg-1 col-12">
                    <?php showPortCategory( $n_category );  ?>
                </div>
            </div>
        <?php } ?>
        <div class="row masonary-wrap <?php echo esc_attr($el_class.' '); ?>">
            <?php 
            while ($port_query->have_posts()) : $port_query->the_post();

                $post_thumbnail_id = get_post_thumbnail_id();
                $post_image_url = wp_get_attachment_url($post_thumbnail_id );
                $project_createdby = sanitize_text_field( get_post_meta( get_the_ID(), 'project_createdby', true ));
                

                if (!isset($echoallterm)) {$echoallterm = ''; $showterm = '';}
                $new_term_list = get_the_terms(get_the_id(), "catportfolio");

                if (is_array($new_term_list)) {
                    foreach ($new_term_list as $term) {
                        $tempname = strtr($term->name, array(
                        ' ' => '-',
                        ));
                        $echoallterm .= $term->slug . " ";
                        $echoterm = $term->name;
                    }

                    foreach ($new_term_list as $term) {
                        $showterm .= strtolower($term->name) . " ";
                    }
                }
                ?>
                <div class="<?php echo $port_layout ?> col-md-4 col-sm-6 col-12 port-item <?php if ( $nospace !== '') { ?> px-0 <?php }else{ ?> mb-30 <?php } ?>mas-item <?php echo $echoallterm;?>">
                    <div class="project">
                        <div class="proj-img">
                            <?php echo the_post_thumbnail( ); ?>
                            <div class="proj-overlay">
                                <a href="<?php echo $post_image_url ;?>" class="pop-btn">
                                    <i class="fa fa-image"></i>
                                </a>
                            </div>
                        </div>
                        <?php if($style == 'style-1'){ ?>
                            <div class="proj-content">
                                <h5 class="mb-2"><?php the_title(); ?></h5>
                                <h6 class="c-theme text-capitalize">
                                    <?php echo $project_createdby; ?>
                                </h6>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
        <?php if ( $pagination !== '') { ?>
            <div class="row">
                <div class="col-12 text-center">
                    <?php theme_pagination($port_query); ?>
                </div>
            </div>
        <?php 
        }
    }elseif($style == 'style-3'){?>

        <div class="row justify-content-center">
            <?php 
            while ($port_query->have_posts()) : $port_query->the_post();

                $post_thumbnail_id = get_post_thumbnail_id();
                $post_image_url = wp_get_attachment_url($post_thumbnail_id );
                $portfolio_custom_link = sanitize_text_field( get_post_meta( get_the_ID(), 'portfolio_custom_link', true ));
                $the_project_link = (!empty($portfolio_custom_link)) ? $portfolio_custom_link : get_permalink();
                $schedule_week = sanitize_text_field( get_post_meta( get_the_ID(), 'client_name', true ));
                $schedule_time = sanitize_text_field( get_post_meta( get_the_ID(), 'project_website_url', true ));
                ?>
                <div class="<?php echo $port_layout ?> col-md-6 col-12">
                    <div class="class-box">
                        <div class="class-img">
                            <?php echo the_post_thumbnail( ); ?>
                        </div>
                        <div class="bot-box">
                            <h5>
                                <a href="<?php echo $the_project_link; ?>"><?php the_title(); ?></a>
                            </h5>
                            <div class="class-schedule">
                                <h6 class="c-theme mb-1"> <?php echo $schedule_week; ?> </h6>
                                <p class="mb-0"><?php echo $schedule_time; ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    <?php } 
endif; ?>