<?php
extract(shortcode_atts(array(
    'style' => 'style-1',
    'hide_empty'     => 0,
    'port_order' => 'DESC',
    'port_orderby' => 'date',
    'category'       => 'category',
    'el_class' => '',

), $atts));

$n_category = explode(',', $category);
$category_f = ( $category!=="all" ? $category : '');

global $post;

$args = array(
    'post_type' => 'portfolio',
    'order' => $port_order,
    'orderby' => $port_orderby,
    'posts_per_page' => ''
);

if ($category !== '' && $category !== "all") {
    $args['tax_query']=array(
        array(
            'taxonomy' => 'catportfolio',
            'field' => 'slug',
            'post_status' => 'publish',
            'terms' => $n_category
        )
    );
}

$port_query = new WP_Query($args);
if ($port_query->have_posts()) :
    if($style == 'style-1'){
    ?>

        <div class="service-3slider owl-carousel owl-theme <?php echo esc_attr($el_class.' '); ?>">
            <?php 
             while ($port_query->have_posts()) : $port_query->the_post();
            ?>
                <div class="service-box3">
                    <?php echo the_post_thumbnail( ); ?>
                    <h5><?php the_title(); ?></h5>
                </div>
            <?php endwhile; ?>
        </div>
    <?php 
    }elseif($style == 'style-2'){?>
        <div class="class-3slider owl-carousel owl-theme <?php echo esc_attr($el_class.' '); ?>">
            <?php 
            while ($port_query->have_posts()) : $port_query->the_post();
                $port_icons = sanitize_text_field( get_post_meta( get_the_ID(), 'port_icons', true ));
                $schedule_week = sanitize_text_field( get_post_meta( get_the_ID(), 'client_name', true ));
                $schedule_time = sanitize_text_field( get_post_meta( get_the_ID(), 'project_website_url', true ));
                ?>
                <div class="class-box mb-0">
                    <div class="class-icon">
                        <i class="<?php echo $port_icons; ?>"></i>
                    </div>
                    <div class="bot-box">
                        <h5>
                            <a href="class-detail.html"><?php the_title(); ?></a>
                        </h5>
                        <div class="class-schedule">
                            <h6 class="c-theme mb-1"> <?php echo $schedule_week; ?></h6>
                            <p class="mb-0"><?php echo $schedule_time; ?></p>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    <?php
    }
endif; ?>