<?php
extract(shortcode_atts(array(
    'style' => 'price-box',
    'title' => '',
    'subtitle' => '',
    'price' => '',
    'currency' => '',
    'time' => '',
    'description' => '',
    'text_button' => '',
    'link_button' => '',
    'el_class' => '',
    'animation' => '',
    'pimage' =>'',
), $atts));

$img_size = "full";
$image = wp_get_attachment_image_src($pimage, $img_size);
$image_url = $image[0];

$link = vc_build_link($link_button);
$a_href = '';
$a_target = '_self';
if ( strlen( $link['url'] ) > 0 ) {
    $a_href = $link['url'];
    $a_target = strlen( $link['target'] ) > 0 ? $link['target'] : '_self';
} 

$description = (array) vc_param_group_parse_atts($description);

 ?>

<div class="<?php echo esc_attr($style);?> <?php echo esc_attr($el_class); ?>">
    <div class="amount" style="background-image: url(<?php echo esc_url($image_url,'gymnaz-pro') ?>);">
        <span><?php echo esc_html($currency . $price);?></span>
        <?php if(!empty($title)) { ?>
            <h4><?php echo esc_attr( $title ); ?></h4>
        <?php } ?>
        <p class="mb-0"><?php echo esc_attr($time);?></p>
    </div>
    <div class="price-content">
        <h5><?php echo esc_attr( $subtitle ); ?></h5>
        <?php if(!empty($description)) : ?>
            <ul>
                <?php foreach ($description as $key => $value) {                             
                    $description_item = isset($value['description_item']) ? $value['description_item'] : '';
                    $active = isset($value['active']) ? '' : 'deactive'; ?>
                    <li class="my-2">
                        <span><?php echo esc_html($description_item); ?></span>
                    </li>
                <?php } ?>
            </ul>
        <?php endif; ?>
        <?php if(!empty($text_button)) : ?>
            <a href="<?php echo esc_url($a_href);?>" class="btn btn-trans btn-sm mt-3"><?php echo esc_attr($text_button);?></a>
        <?php endif; ?>
    </div>
</div>