<?php
extract(shortcode_atts(array(
    'title' => '',
    'position' => '',
    'image' => '',
    'facebook_url' => '',
    'google_url' => '',
    'instagram_url' => '',
    'linkedin_url' => '',
    'el_class' => '',
), $atts));
$img_size = "full";
$image = wp_get_attachment_image_src($image, $img_size);
$image_url = $image[0];
?>

<div class="team-item team-one <?php echo esc_attr($el_class.' '); ?>">
    <div class="team-img mb-4">
        <img src="<?php echo esc_url( $image_url ); ?>" alt="trainer">
        <div class="t-overlay">
            <ul class="team-social">
                <?php if(!empty($facebook_url)){ ?>
                    <li>
                        <a href="<?php echo  esc_url($facebook_url); ?>" class="fa fa-facebook"></a>
                    </li>
                <?php } if(!empty($google_url)){?>
                    <li>
                        <a href="<?php echo  esc_url($google_url); ?>" class="fa fa-google-plus-square"></a>
                    </li>
                <?php } if(!empty($instagram_url)){?>
                    <li>
                        <a href="<?php echo  esc_url($instagram_url); ?>" class="fa fa-instagram"></a>
                    </li>
                <?php } if(!empty($linkedin_url)){?>
                    <li>
                        <a href="<?php echo  esc_url($linkedin_url); ?>" class="fa fa-linkedin"></a>
                    </li>
                <?php } ?>
            </ul>
            <div class="t-content">
                <h5>
                    <a href="#"><?php echo esc_html($title); ?></a>
                </h5>
                <p class="mb-0"><?php echo wp_kses_post($content); ?></p>
            </div>
        </div>
    </div>
    <div class="team-det">
        <h5 class="mb-2 c-white">
            <a href="#"><?php echo esc_html($title); ?></a>
        </h5>
        <h6 class="c-theme text-capitalize mb-0"><?php echo esc_attr($position); ?></h6>
    </div>
</div>