<?php
extract(shortcode_atts(array(

    'team_item' => '',
    'el_class' => '',

), $atts));

$team_item = (array) vc_param_group_parse_atts($team_item);

if(!empty($team_item)) : ?>
    <div class="team-slider-two owl-carousel owl-theme <?php echo esc_attr( $el_class ); ?>">
        <?php foreach ($team_item as $key => $value) {
            $title = isset($value['title']) ? $value['title'] : '';
            $content = isset($value['content']) ? $value['content'] : '';
            $position = isset($value['position']) ? $value['position'] : '';
            $image = isset($value['image']) ? $value['image'] : '';
            $img_size = isset($value['img_size']) ? $value['img_size'] : '157x253';
            $img = wpb_getImageBySize( array(
                'attach_id'  => $image,
                'thumb_size' => $img_size,
                'class'      => '',
            ));
            $thumbnail = $img['thumbnail'];
            $facebook_url = isset($value['facebook_url']) ? $value['facebook_url'] : '';
            $google_url = isset($value['google_url']) ? $value['google_url'] : '';
            $instagram_url = isset($value['instagram_url']) ? $value['instagram_url'] : '';
            $linkedin_url = isset($value['linkedin_url']) ? $value['linkedin_url'] : '';
            $twitter_url = isset($value['twitter_url']) ? $value['twitter_url'] : '';
            ?>
            <div class="team-item team-two">
                <div class="team-det">
                    <h5 class="mb-2">
                        <a href="#"><?php echo esc_html($title); ?></a>
                    </h5>
                    <h6 class="c-theme text-capitalize"><?php echo esc_attr($position); ?></h6>
                    <p><?php echo esc_html($content); ?></p>
                    <div class="t-socials">
                        <?php if(!empty($facebook_url)){ ?>
                    
                            <a href="<?php echo  esc_url($facebook_url); ?>" class="fa fa-facebook"></a>
                    
                        <?php } if(!empty($google_url)){?>
                            <a href="<?php echo  esc_url($google_url); ?>" class="fa fa-google-plus"></a>
                            
                        <?php } if(!empty($instagram_url)){?>
                            <a href="<?php echo  esc_url($instagram_url); ?>" class="fa fa-instagram"></a>
                           
                        <?php } if(!empty($linkedin_url)){?>
                            <a href="<?php echo  esc_url($linkedin_url); ?>" class="fa fa-linkedin"></a>
                        
                        <?php } if(!empty($twitter_url)){?>
                            <a href="<?php echo  esc_url($twitter_url); ?>" class="fa fa-twitter"></a>
                        <?php } ?>
                    </div>
                </div>
                <?php if(!empty($image)) : ?>
                    <div class="team-img">
                        <?php echo wp_kses_post($thumbnail); ?>
                    </div>
                <?php endif; ?>
            </div>
        <?php } ?>
    </div>
<?php endif; ?>